version: "3"

services:
  rocketchat:
    image: registry.rocket.chat/rocketchat/rocket.chat:6.3.1
    restart: always
    environment:
      MONGO_URL: "mongodb://10.0.0.14:27017/rocketchat?replicaSet=rs0"
      MONGO_OPLOG_URL: "mongodb:10.0.0.14:27017/local?replicaSet=rs0"
      ROOT_URL: http://localhost:3000
      PORT: 3000
      DEPLOY_METHOD: docker
      REG_TOKEN: lovemm.23
    expose:
      - 3456
    ports:
      - "127.0.0.1:3456:3000"